curl --request GET \
--url https://api.treasuryprime.com/ach_config/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/ach_config/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/ach_config/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "acct_291u96075mva",
"daily_credit_limit": "25000.00",
"daily_debit_limit": "25000.00",
"id": "achconf_3k9p2wd6rn4x",
"inach_return_codes_business": [
"R29"
],
"inach_return_codes_consumer": [
"R10",
"R11"
],
"lock_blocks_credit": true,
"locked_credit_return_code": "R16",
"return_allowed_days": "2",
"sameday_max_amount": "1000000.00",
"sec_codes_allowed": [
"CCD",
"PPD",
"WEB"
],
"total_credit_limit": "100000.00",
"total_debit_limit": "100000.00",
"transaction_credit_limit": "10000.00",
"transaction_debit_limit": "10000.00"
}Fetch an ACH Configuration
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
The ach_config
Specific account ID that the config applies to. Filterable.
The 24 hour rolling credit limit for an account.
^-?[0-9]+[.][0-9][0-9]$The 24 hour rolling debit limit for an account.
^-?[0-9]+[.][0-9][0-9]$Unique identifier for object
Return codes allowed for incoming ACHs to business accounts
Return codes allowed for incoming ACHs to consumer accounts
Whether an incoming ACH credit is returned for a locked account
ACH return code used to return incoming credits when the account is locked
Number of business days after the effective date that an incoming ACH can be returned
Max amount that can be sent for sameday ACHs
^-?[0-9]+[.][0-9][0-9]$List of allowed SEC codes for originating ACHs.
The 24 hour rolling credit limit for a bank + org pair. This limit cannot be exceeded
^-?[0-9]+[.][0-9][0-9]$The 24 hour rolling debit limit for a bank + org pair. This limit cannot be exceeeded
^-?[0-9]+[.][0-9][0-9]$The individual transaction credit limit for an org or account.
^-?[0-9]+[.][0-9][0-9]$The individual transaction debit limit for an org or account.
^-?[0-9]+[.][0-9][0-9]$Was this page helpful?